curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/reports/employees/skill_cluster_adoption \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"group_by_custom_property": "Department",
"relevant_skill_clusters": [
"Artificial Intelligence",
"Programming Languages"
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/reports/employees/skill_cluster_adoption"
payload = {
"group_by_custom_property": "Department",
"relevant_skill_clusters": ["Artificial Intelligence", "Programming Languages"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
group_by_custom_property: 'Department',
relevant_skill_clusters: ['Artificial Intelligence', 'Programming Languages']
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/reports/employees/skill_cluster_adoption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_name": "employee_skill_cluster_adoption",
"report_data": {
"property_name": "Department",
"heatmap": [
{
"property_value": "IT & Engineering",
"skill_clusters": [
{
"skill_cluster_name": "Artificial Intelligence",
"adoption": 0.6
},
{
"skill_cluster_name": "Programming Languages",
"adoption": 0.2
}
]
},
{
"property_value": "Sales",
"skill_clusters": [
{
"skill_cluster_name": "Artificial Intelligence",
"adoption": 0.1
},
{
"skill_cluster_name": "Programming Languages",
"adoption": 0.2
}
]
}
],
"skill_cluster_adoption": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"property_value": "IT & Engineering",
"assigned_position": "Software Engineer",
"skill_clusters": [
{
"skill_cluster_name": "Programming Languages",
"proficiency_level": 2
},
{
"skill_cluster_name": "DevOps",
"proficiency_level": 3
}
]
},
{
"external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
"property_value": "Research",
"assigned_position": "NLP Engineer",
"skill_clusters": [
{
"skill_cluster_name": "Artificial Intelligence",
"proficiency_level": 2
}
]
}
],
"skill_breakdown": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"skill_clusters": [
{
"skill_cluster_name": "Programming Languages",
"skills": [
{
"name": "Python"
},
{
"name": "Java"
}
]
},
{
"skill_cluster_name": "Artificial Intelligence",
"skills": [
{
"name": "Machine Learning"
},
{
"name": "Deep Learning"
}
]
}
]
},
{
"external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
"skill_clusters": [
{
"skill_cluster_name": "Artificial Intelligence",
"skills": [
{
"name": "Deep Learning"
}
]
}
]
}
]
},
"last_update": "2020-09-01T11:45:49Z"
}[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get the Skill Cluster adoption report
Retrieve the Skill Cluster adoption report for all Employees with respect to the value of a Custom Property and one or more Skill Clusters.
The report consists of three smaller reports. A heatmap, a Skill Cluster adoption report, and a Skill breakdown.
- The heatmap returns the adoption of each requested Skill Cluster for all Employees which have the same Custom Property.
- The Skill Cluster adoption gives the proficiency level per requested Skill Cluster for each Employee.
- The Skill breakdown returns an overview of the Skills of the requested Skill Cluster for each Employee.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The output format in which the report will be returned. When csv is chosen, a ZIP file is returned containing the three reports in csv format.
json, csv Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.
Body
Filters for the Skill Cluster adoption report
Was this page helpful?